Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/dconf.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -166,5 +166,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dbash_completion=false .. &amp;&amp;
+meson setup --prefix=/usr           \
+            --buildtype=release     \
+            -Dbash_completion=false \
+            ..                      &amp;&amp;
 ninja</userinput></screen>
 
@@ -190,5 +193,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gcr.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -131,5 +131,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dgtk_doc=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gcr4.xml
===================================================================
--- gnome/platform/gcr4.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gcr4.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -116,5 +116,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dgtk_doc=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/geocode-glib.xml
===================================================================
--- gnome/platform/geocode-glib.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/geocode-glib.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -105,8 +105,9 @@
 cd    build                   &amp;&amp;
 
-meson --prefix /usr           \
-      --buildtype=release     \
-      -Denable-gtk-doc=false  \
-      -Dsoup2=false           .. &amp;&amp;
+meson setup --prefix /usr           \
+            --buildtype=release     \
+            -Denable-gtk-doc=false  \
+            -Dsoup2=false           \
+            ..                      &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gexiv2.xml
===================================================================
--- gnome/platform/gexiv2.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gexiv2.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -101,5 +101,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-autoar.xml
===================================================================
--- gnome/platform/gnome-autoar.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-autoar.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -101,5 +101,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dvapi=true -Dtests=true &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dvapi=true         \
+            -Dtests=true        \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-backgrounds.xml
===================================================================
--- gnome/platform/gnome-backgrounds.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-backgrounds.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -88,5 +88,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr ..</userinput></screen>
+meson setup --prefix=/usr ..</userinput></screen>
 
     <para>
Index: gnome/platform/gnome-bluetooth.xml
===================================================================
--- gnome/platform/gnome-bluetooth.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-bluetooth.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -116,5 +116,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-control-center.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -154,5 +154,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-desktop.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -111,10 +111,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr        \
-      --buildtype=release  .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
-    <!-- Previously, there was a note here on SysV about the Wall Clock tests
-         failing. Since we symlinked the timezones, it works okay now. -->
     <!--<para>
       To test the results, run <command>ninja test</command> from a X Terminal
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-online-accounts.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -126,9 +126,11 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr                                   \
+meson setup                                           \
+      --prefix=/usr                                   \
       --buildtype=release                             \
       -Dkerberos=false                                \
       -Dgoogle_client_secret=5ntt6GbbkjnTVXx-MSxbmx5e \
-      -Dgoogle_client_id=595013732528-llk8trb03f0ldpqq6nprjp1s79596646.apps.googleusercontent.com &amp;&amp;
+      -Dgoogle_client_id=595013732528-llk8trb03f0ldpqq6nprjp1s79596646.apps.googleusercontent.com \
+      .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-session.xml
===================================================================
--- gnome/platform/gnome-session.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-session.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -123,8 +123,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr           \
-      --buildtype=release     \
-      -Dsystemd_journal=false \
-      .. &amp;&amp;
+meson setup --prefix=/usr           \
+            --buildtype=release     \
+            -Dsystemd_journal=false \
+            ..                      &amp;&amp;
 ninja</userinput></screen>
 
@@ -132,5 +132,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -165,5 +165,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dsystemd=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dsystemd=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
@@ -171,5 +174,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -100,5 +100,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr .. </userinput></screen>
+meson setup --prefix=/usr .. </userinput></screen>
 
     <para>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-shell.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -144,9 +144,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr       \
-      --buildtype=release \
-      -Dsystemd=false     \
-      -Dtests=false       \
-      .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dsystemd=false     \
+            -Dtests=false       \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
@@ -154,5 +154,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dtests=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dtests=false       \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-tweaks.xml
===================================================================
--- gnome/platform/gnome-tweaks.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-tweaks.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -131,5 +131,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release &amp;&amp;
+meson setup --prefix=/usr --buildtype=release &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gnome-video-effects.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -85,5 +85,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/grilo.xml
===================================================================
--- gnome/platform/grilo.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/grilo.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -115,7 +115,8 @@
 cd    build    &amp;&amp;
 
-meson --prefix=/usr       \
-      --buildtype=release \
-      -Denable-gtk-doc=false .. &amp;&amp;
+meson setup --prefix=/usr          \
+            --buildtype=release    \
+            -Denable-gtk-doc=false \
+            ..                     &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -96,5 +96,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/gsound.xml
===================================================================
--- gnome/platform/gsound.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/gsound.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -101,5 +101,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libchamplain.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -109,5 +109,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libgdata.xml
===================================================================
--- gnome/platform/libgdata.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libgdata.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -109,8 +109,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr                 \
-      --buildtype=release           \
-      -Dgtk_doc=false               \
-      -Dalways_build_tests=false .. &amp;&amp;
+meson setup --prefix=/usr              \
+            --buildtype=release        \
+            -Dgtk_doc=false            \
+            -Dalways_build_tests=false \
+            ..                         &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libgweather.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -112,5 +112,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dgtk_doc=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libpeas.xml
===================================================================
--- gnome/platform/libpeas.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libpeas.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -109,5 +109,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release --wrap-mode=nofallback .. &amp;&amp;
+meson setup --prefix=/usr          \
+            --buildtype=release    \
+            --wrap-mode=nofallback \
+            ..                     &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libsecret.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -129,5 +129,8 @@
 cd bld &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dgtk_doc=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libshumate.xml
===================================================================
--- gnome/platform/libshumate.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libshumate.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -96,5 +96,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dgtk_doc=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/libwnck.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -101,5 +101,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/mutter.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -138,5 +138,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=debugoptimized -Dtests=false .. &amp;&amp;
+meson setup --prefix=/usr              \
+            --buildtype=debugoptimized \
+            -Dtests=false              \
+            ..                         &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/nautilus.xml
===================================================================
--- gnome/platform/nautilus.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/nautilus.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -128,9 +128,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr       \
-      --buildtype=release \
-      -Dselinux=false     \
-      -Dpackagekit=false  \
-      .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dselinux=false     \
+            -Dpackagekit=false  \
+            ..                  &amp;&amp;
 
 ninja</userinput></screen>
Index: gnome/platform/rest.xml
===================================================================
--- gnome/platform/rest.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/rest.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -107,8 +107,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr        \
-      --buildtype=release  \
-      -Dexamples=false     \
-      -Dgtk_doc=false      .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dexamples=false    \
+            -Dgtk_doc=false     \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/totem-pl-parser.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -106,5 +106,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/tracker3-miners.xml
===================================================================
--- gnome/platform/tracker3-miners.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/tracker3-miners.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -154,5 +154,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dman=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dman=false         \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
@@ -160,8 +163,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr                 \
-      --buildtype=release           \
-      -Dsystemd_user_services=false \
-      -Dman=false .. &amp;&amp;
+meson setup --prefix=/usr                 \
+            --buildtype=release           \
+            -Dsystemd_user_services=false \
+            -Dman=false                   \
+            ..                            &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/tracker3.xml
===================================================================
--- gnome/platform/tracker3.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/tracker3.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -127,8 +127,9 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr       \
-      --buildtype=release \
-      -Ddocs=false        \
-      -Dman=false ..      &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Ddocs=false        \
+            -Dman=false         \
+            ..                  &amp;&amp;
 ninja</userinput></screen>
 
@@ -136,9 +137,10 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr      \
-      --buildtype=release \
-      -Ddocs=false       \
-      -Dman=false        \
-      -Dsystemd_user_services=false .. &amp;&amp;
+meson setup --prefix=/usr                 \
+            --buildtype=release           \
+            -Ddocs=false                  \
+            -Dman=false                   \
+            -Dsystemd_user_services=false \
+            ..                            &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision ab7282ff27e5e7de0b8f21b1516554cc809c2570)
+++ gnome/platform/vte.xml	(revision 00120f96217fdd3c401b28a1183d07194bdaf02c)
@@ -112,5 +112,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr --buildtype=release -Dfribidi=false .. &amp;&amp;
+meson setup --prefix=/usr --buildtype=release -Dfribidi=false .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -118,8 +118,8 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr       \
-      --buildtype=release \
-      -Dfribidi=false     \
-      -D_systemd=false .. &amp;&amp;
+meson setup --prefix=/usr       \
+            --buildtype=release \
+            -Dfribidi=false     \
+            -D_systemd=false    &amp;&amp;
 ninja</userinput></screen>
 