Index: general.ent
===================================================================
--- general.ent	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general.ent	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -203,5 +203,5 @@
 <!ENTITY libdaemon-version            "0.14">
 <!ENTITY libdbusmenu-qt-version       "0.9.0">
-<!ENTITY libdrm-version               "2.4.34">
+<!ENTITY libdrm-version               "2.4.33">
 <!ENTITY libesmtp-version             "1.0.6">
 <!ENTITY libffi-version               "3.0.10">
Index: general/genlib/libdrm.xml
===================================================================
--- general/genlib/libdrm.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genlib/libdrm.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -7,8 +7,8 @@
   <!ENTITY libdrm-download-http "http://dri.freedesktop.org/libdrm/libdrm-&libdrm-version;.tar.bz2">
   <!ENTITY libdrm-download-ftp  " ">
-  <!ENTITY libdrm-md5sum        "293cb2b31392d52caa02ab0861dfc2c9">
-  <!ENTITY libdrm-size          "559 KB">
-  <!ENTITY libdrm-buildsize     "7.2 MB">
-  <!ENTITY libdrm-time          "less than 0.1 SBU">
+  <!ENTITY libdrm-md5sum        "eb2a76720af5051b1687328a2240daed">
+  <!ENTITY libdrm-size          "444 KB">
+  <!ENTITY libdrm-buildsize     "10 MB">
+  <!ENTITY libdrm-time          "0.2 SBU">
 ]>
 
Index: general/genlib/libffi.xml
===================================================================
--- general/genlib/libffi.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genlib/libffi.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -35,5 +35,5 @@
     description at run time.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgcrypt.xml
===================================================================
--- general/genlib/libgcrypt.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genlib/libgcrypt.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -37,5 +37,5 @@
     API.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genlib/libgpg-error.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -36,5 +36,5 @@
     and more.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/pth.xml
===================================================================
--- general/genlib/pth.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genlib/pth.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -39,5 +39,5 @@
     program-counter, run-time stack, signal mask and errno variable. </para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/gperf.xml
===================================================================
--- general/genutils/gperf.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genutils/gperf.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -33,5 +33,5 @@
     from a key set.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/intltool.xml
===================================================================
--- general/genutils/intltool.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/genutils/intltool.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -38,5 +38,5 @@
     <filename>.oaf</filename> files.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/pixman.xml
===================================================================
--- general/graphlib/pixman.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/graphlib/pixman.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     and trapezoid rasterization.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/check.xml
===================================================================
--- general/prog/check.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ general/prog/check.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     instructions install it permanently.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ introduction/welcome/changelog.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -175,4 +175,13 @@
 
     <listitem>
+      <para>May 16th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Revert libdrm to 2.4.33.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 13th, 2012</para>
       <itemizedlist>
Index: postlfs/security/attr.xml
===================================================================
--- postlfs/security/attr.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ postlfs/security/attr.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -33,5 +33,5 @@
     administer the extended attributes on filesystem objects.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/libcap2.xml
===================================================================
--- postlfs/security/libcap2.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ postlfs/security/libcap2.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -36,5 +36,5 @@
     privilege into a set of distinct privileges.  </para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXau.xml
===================================================================
--- x/installing/libXau.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/libXau.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     restricting client access to the display.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXdmcp.xml
===================================================================
--- x/installing/libXdmcp.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/libXdmcp.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     allowing clients to interact with the X Display Manager.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libpthread-stubs.xml
===================================================================
--- x/installing/libpthread-stubs.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/libpthread-stubs.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -36,5 +36,5 @@
     functions are available, so this package is simply a placeholder.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libxcb.xml
===================================================================
--- x/installing/libxcb.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/libxcb.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -36,5 +36,5 @@
     requests and receive responses with both.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/makedepend.xml
===================================================================
--- x/installing/makedepend.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/makedepend.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -33,5 +33,5 @@
     C-preprocessor like utility to determine build-time dependencies.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/mesalib.xml
===================================================================
--- x/installing/mesalib.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/mesalib.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -33,5 +33,5 @@
     library.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/util-macros.xml
===================================================================
--- x/installing/util-macros.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/util-macros.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     <application>Xorg</application> packages.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/x7app.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -36,5 +36,5 @@
     implementations.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7driver.xml
===================================================================
--- x/installing/x7driver.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/x7driver.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -35,5 +35,5 @@
     for the xserver to take advantage of installed hardware.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7font.xml
===================================================================
--- x/installing/x7font.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/x7font.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     needed fonts to the <application>Xorg</application> applications.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/x7lib.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -35,5 +35,5 @@
     routines that are used within all X Window applications.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7proto.xml
===================================================================
--- x/installing/x7proto.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/x7proto.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -41,5 +41,5 @@
     applications to build against the installed X Window system.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7server.xml
===================================================================
--- x/installing/x7server.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/x7server.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -34,5 +34,5 @@
     of the X Window system.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-proto.xml
===================================================================
--- x/installing/xcb-proto.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/xcb-proto.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -35,5 +35,5 @@
     uses to generate the majority of its code and API.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util.xml
===================================================================
--- x/installing/xcb-util.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/xcb-util.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -35,5 +35,5 @@
     core X protocol.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcursorthemes.xml
===================================================================
--- x/installing/xcursorthemes.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/xcursorthemes.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -33,5 +33,5 @@
     redglass and whiteglass animated cursor themes.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xkeyboard-config.xml
===================================================================
--- x/installing/xkeyboard-config.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/xkeyboard-config.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -36,5 +36,5 @@
     the keyboard configuration database for the X Window System.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 7ded7e326af261f81459ac464892f59fcedac236)
+++ x/installing/xterm.xml	(revision 121d292e3201d786fc7f876a04775ba570a9eca8)
@@ -33,5 +33,5 @@
     the X Window System.</para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>