Index: general.ent
===================================================================
--- general.ent	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ general.ent	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -42,5 +42,5 @@
 <!ENTITY lfs-dev              "../../../../lfs/view/development">
 <!ENTITY kernel               "http://www.kernel.org/pub/">
-<!ENTITY gstreamer-dl         "http://gstreamer.freedesktop.org/src">
+<!ENTITY gstreamer-dl         "https://gstreamer.freedesktop.org/src">
 <!ENTITY gnu-alpha-ftp        "ftp://alpha.gnu.org/gnu/">
 <!ENTITY gnu-alpha-http       "http://alpha.gnu.org/gnu/">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ introduction/welcome/changelog.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -48,4 +48,10 @@
       <itemizedlist>
         <listitem>
+          <para>[pierre] - Update gstreamer, gstreamer-vaapi, gst-plugins-base,
+          gst-plugins-good, gst-plugins-bad, gst-plugins-ugly, gst-libav to
+          1.10.1. Fixes
+          <ulink url="&blfs-ticket-root;8496">#8496</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to postfix-3.1.3. Fixes
           <ulink url="&blfs-ticket-root;8387">#8387</ulink>.</para>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gst10-libav.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "b51a736147bacb40f85827a4e0ae0d2c">
-  <!ENTITY gst10-libav-size          "7.6 MB">
-  <!ENTITY gst10-libav-buildsize     "486 MB (with tests)">
-  <!ENTITY gst10-libav-time          "4.4 SBU (with tests)">
+  <!ENTITY gst10-libav-md5sum        "9dc8fb8dd01818c27230a1ed6ba9f4de">
+  <!ENTITY gst10-libav-size          "8.1 MB">
+  <!ENTITY gst10-libav-buildsize     "493 MB (less than 1 MB for tests)">
+  <!ENTITY gst10-libav-time          "3.9 SBU (less than 0.1 SBU for tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "955281a43e98c5464563fa049e0a0911">
-  <!ENTITY gst10-plugins-bad-size          "4.3 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "332 MB (with tests)">
-  <!ENTITY gst10-plugins-bad-time          "3.4 SBU (with tests)">
+  <!ENTITY gst10-plugins-bad-md5sum        "491d2d5aab55ffc60c66e714d3d664ea">
+  <!ENTITY gst10-plugins-bad-size          "4.5 MB">
+  <!ENTITY gst10-plugins-bad-buildsize     "213 MB (add 20 MB for tests)">
+  <!ENTITY gst10-plugins-bad-time          "2.0 SBU (add 0.9 SBU for tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "4d03dd81828ea6b98a44c8f1ab7f4976">
-  <!ENTITY gst10-plugins-base-size          "2.8 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "141 MB  (with tests)">
-  <!ENTITY gst10-plugins-base-time          "2.4 SBU (with tests)">
+  <!ENTITY gst10-plugins-base-md5sum        "eb03953ff239b53a7d69a604edbe5c8c">
+  <!ENTITY gst10-plugins-base-size          "2.9 MB">
+  <!ENTITY gst10-plugins-base-buildsize     "124 MB  (add 23 MB for tests)">
+  <!ENTITY gst10-plugins-base-time          "1.3 SBU (add 1.4 SBU for tests)">
 ]>
 
@@ -89,4 +89,5 @@
     <para role="recommended">
       <xref linkend="alsa-lib"/>,
+      <xref linkend="cdparanoia"/> (for building the CDDA plugin),
       <xref linkend="gobject-introspection"/>,
       <xref linkend="iso-codes"/>,
@@ -94,13 +95,11 @@
       <xref linkend="libtheora"/>,
       <xref linkend="libvorbis"/>, and
-      <xref linkend="xorg7-lib"/> <!-- build time requirements only,
-      you don't need either apps, fonts or xorg server to build this
-      package. You'll need xserver for any X app that wants to play
-      something though, but that should be obvious. -->
+      <xref linkend="xorg7-lib"/> <!-- build time requirements only...
+      That's not true: if X libraries are not installed, some plugins
+      are note built!-->
    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="cdparanoia"/>,
       <xref linkend="gtk3"/> (for examples),
       <xref linkend="gtk-doc"/>,
@@ -178,5 +177,5 @@
           /usr/include/gstreamer-1.0/gst/{allocators,app,audio,fft,pbutils},
           /usr/include/gstreamer-1.0/gst/{riff,rtp,rtsp,sdp,tag,video},
-          /usr/share/gst-plugins-base/1.0 and
+          /usr/share/gst-plugins-base, and
           /usr/share/gtk-doc/html/gst-plugins-base-{libs,plugins}-1.0
         </seg>
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "473ebb1f15c67de99ddb6e4d027c0876">
-  <!ENTITY gst10-plugins-good-size          "3.1 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "149 MB (with tests)">
-  <!ENTITY gst10-plugins-good-time          "2.4 SBU (with tests)">
+  <!ENTITY gst10-plugins-good-md5sum        "7d24b1412d49fa7bab763b35f4640abd">
+  <!ENTITY gst10-plugins-good-size          "3.3 MB">
+  <!ENTITY gst10-plugins-good-buildsize     "131 MB (add 18 MB for tests)">
+  <!ENTITY gst10-plugins-good-time          "1.4 SBU (add 0.9 SBU for tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "4fc66c77253b0ad5ce224bda654b2e7d">
-  <!ENTITY gst10-plugins-ugly-size          "864 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "20 MB (with tests)">
+  <!ENTITY gst10-plugins-ugly-md5sum        "646ab511bc8e56425e63d3fc4812e582">
+  <!ENTITY gst10-plugins-ugly-size          "884 KB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "18 MB (with tests)">
   <!ENTITY gst10-plugins-ugly-time          "0.2 SBU (with tests)">
 ]>
@@ -89,4 +89,5 @@
     <para role="recommended">
       <xref linkend="lame"/>,
+      <xref linkend="liba52"/> (needed to play DVD's),
       <xref linkend="libdvdread"/>, and
       <xref linkend="x264"/>
@@ -95,5 +96,4 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="liba52"/>,
       <xref linkend="libmad"/>,
       <xref linkend="libmpeg2"/>,
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-vaapi-download-http "&gstreamer-dl;/gstreamer-vaapi/gstreamer-vaapi-&gstreamer-vaapi-version;.tar.xz">
   <!ENTITY gstreamer10-vaapi-download-ftp  " ">
-  <!ENTITY gstreamer10-vaapi-md5sum        "727267a0a7a8dcb76b8c58cdf5ea61d4">
-  <!ENTITY gstreamer10-vaapi-size          "916 KB">
-  <!ENTITY gstreamer10-vaapi-buildsize     "55 MB (with tests)">
-  <!ENTITY gstreamer10-vaapi-time          "0.4 SBU (with tests)">
+  <!ENTITY gstreamer10-vaapi-md5sum        "514757933ff719a6b8206091f70e0221">
+  <!ENTITY gstreamer10-vaapi-size          "952 KB">
+  <!ENTITY gstreamer10-vaapi-buildsize     "56 MB">
+  <!ENTITY gstreamer10-vaapi-time          "0.7 SBU">
 ]>
 
@@ -100,5 +100,7 @@
 
     <para>
-      This package does not come with a test suite.
+      Tests can be run manually in the <filename class="directory">tests
+      </filename> directory, after building them by running
+      <command>make tests</command>.
     </para>
 
@@ -123,5 +125,5 @@
         </seg>
         <seg>
-          libgstvaapi.so
+          /usr/lib/gstreamer-1.0/libgstvaapi.so
         </seg>
         <seg>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ multimedia/libdriv/gstreamer10.xml	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "e88dad542df9d986822e982105d2b530">
-  <!ENTITY gstreamer10-size          "3.5 MB">
-  <!ENTITY gstreamer10-buildsize     "137 MB (with tests)">
-  <!ENTITY gstreamer10-time          "2.0 SBU (with tests)">
+  <!ENTITY gstreamer10-md5sum        "2c0cc6907aed5ea8005a8f332e34d92f">
+  <!ENTITY gstreamer10-size          "3.6 MB">
+  <!ENTITY gstreamer10-buildsize     "102 MB (add 38 MB for tests)">
+  <!ENTITY gstreamer10-time          "0.8 SBU ( add 1.2 SBU for tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision d74c5dca19c22d485d4f4cfb01e087105c350e2b)
+++ packages.ent	(revision 122ded14adc3f5892715ac05f16b7da8f2865a06)
@@ -732,11 +732,11 @@
 <!ENTITY frei0r-version               "1.5.0">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.8.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.8.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.8.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.8.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.8.3">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.8.3">  <!-- Even minors only -->
-<!ENTITY gstreamer-vaapi-version      "1.8.3">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.10.1">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.10.1">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.10.1">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.10.1">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.10.1">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.10.1">  <!-- Even minors only -->
+<!ENTITY gstreamer-vaapi-version      "1.10.1">  <!-- Even minors only -->
 <!ENTITY icedtea-sound-version        "1.0.1">
 <!ENTITY liba52-version               "0.7.4">