Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ introduction/welcome/changelog.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -47,4 +47,10 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Reduce the old Xorg fonts to just Type1 and ttf,
+          with (only) the adobe 100dpi bitmap fonts plus old libXfont and
+          bdftopcf moved to new 'x7legacy' page. Fixes
+          <ulink url="&blfs-ticket-root;8621">#8621</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to xf86-input-wacom-0.34.0. Fixes
           <ulink url="&blfs-ticket-root;8612">#8612</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ packages.ent	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -482,5 +482,5 @@
 <!-- Part VI -->
 <!-- Chapter 24 -->                               <!-- stable lt .90 micro version -->
-<!ENTITY xorg-version                 "7.7">      <!-- applies to all xorg packages -->
+<!ENTITY xorg-version                 "7">      <!-- applies to all xorg packages -->
 <!ENTITY util-macros-version          "1.19.0">
 <!ENTITY libXau-version               "1.0.8">
Index: x/installing/installing.xml
===================================================================
--- x/installing/installing.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ x/installing/installing.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -78,3 +78,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xinit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xorg-config.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x7legacy.xml"/>
 </chapter>
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ x/installing/x7app.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -10,7 +10,4 @@
   <!ENTITY x7apps-buildsize     "51 MB">
   <!ENTITY x7apps-time          "1.9 SBU">
-
-  <!ENTITY bdftopcf-version                "1.0.5">
-  <!ENTITY bdftopcf-md5sum                 "53a48e1fdfec29ab2e89f86d4b7ca902">
 
   <!ENTITY iceauth-version                 "1.0.7">
@@ -199,6 +196,5 @@
 
 <screen><userinput>cat &gt; app-&xorg-version;.md5 &lt;&lt; "EOF"
-<literal>&bdftopcf-md5sum;  bdftopcf-&bdftopcf-version;.tar.bz2
-&iceauth-md5sum;  iceauth-&iceauth-version;.tar.bz2
+<literal>&iceauth-md5sum;  iceauth-&iceauth-version;.tar.bz2
 &luit-md5sum;  luit-&luit-version;.tar.bz2
 &mkfontdir-md5sum;  mkfontdir-&mkfontdir-version;.tar.bz2
@@ -326,5 +322,5 @@
       <seglistitem>
 
-        <seg>bdftopcf, iceauth, luit, mkfontdir, mkfontscale, sessreg,
+        <seg>iceauth, luit, mkfontdir, mkfontscale, sessreg,
         setxkbmap, smproxy, x11perf, x11perfcomp, xauth, xbacklight,
         xcmsdb, xcursorgen, xdpr, xdpyinfo, xdriinfo, xev, xgamma, xhost,
@@ -342,15 +338,4 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="bdftopcf-x7">
-        <term><command>bdftopcf</command></term>
-        <listitem>
-          <para>converts an X font from Bitmap Distribution Format to Portable
-          Compiled Format.</para>
-          <indexterm zone="xorg7-app bdftopcf-x7">
-            <primary sortas="b-bdftopcf">bdftopcf</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="iceauth-x7">
         <term><command>iceauth</command></term>
Index: x/installing/x7font.xml
===================================================================
--- x/installing/x7font.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ x/installing/x7font.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -7,23 +7,11 @@
   <!ENTITY x7fonts-download-http "&xorg-download-http;/font/">
   <!ENTITY x7fonts-download-ftp  "&xorg-download-ftp;/font/">
-  <!ENTITY x7fonts-size          "15.0 MB">
-  <!ENTITY x7fonts-buildsize     "278 MB">
-  <!ENTITY x7fonts-time          "2.3 SBU">
+  <!ENTITY x7fonts-size          "3.0 MB">
+  <!ENTITY x7fonts-buildsize     "8.8 MB">
+  <!ENTITY x7fonts-time          "0.1 SBU">
 
   <!ENTITY encodings-version               "1.0.4">
   <!ENTITY encodings-md5sum                "0f2d6546d514c5cc4ecf78a60657a5c1">
 
-  <!ENTITY font-adobe-100dpi-version       "1.0.3">
-  <!ENTITY font-adobe-100dpi-md5sum        "1347c3031b74c9e91dc4dfa53b12f143">
-
-  <!ENTITY font-adobe-75dpi-version        "1.0.3">
-  <!ENTITY font-adobe-75dpi-md5sum         "6c9f26c92393c0756f3e8d614713495b">
-
-  <!ENTITY font-adobe-utopia-100dpi-version "1.0.4">
-  <!ENTITY font-adobe-utopia-100dpi-md5sum  "66fb6de561648a6dce2755621d6aea17">
-
-  <!ENTITY font-adobe-utopia-75dpi-version "1.0.4">
-  <!ENTITY font-adobe-utopia-75dpi-md5sum  "e99276db3e7cef6dccc8a57bc68aeba7">
-
   <!ENTITY font-adobe-utopia-type1-version "1.0.4">
   <!ENTITY font-adobe-utopia-type1-md5sum  "fcf24554c348df3c689b91596d7f9971">
@@ -32,19 +20,4 @@
   <!ENTITY font-alias-md5sum               "6d25f64796fef34b53b439c2e9efa562">
 
-  <!ENTITY font-arabic-misc-version        "1.0.3">
-  <!ENTITY font-arabic-misc-md5sum         "cc0726e4a277d6ed93b8e09c1f195470">
-
-  <!ENTITY font-bh-100dpi-version          "1.0.3">
-  <!ENTITY font-bh-100dpi-md5sum           "9f11ade089d689b9d59e0f47d26f39cd">
-
-  <!ENTITY font-bh-75dpi-version           "1.0.3">
-  <!ENTITY font-bh-75dpi-md5sum            "565494fc3b6ac08010201d79c677a7a7">
-
-  <!ENTITY font-bh-lucidatypewriter-100dpi-version "1.0.3">
-  <!ENTITY font-bh-lucidatypewriter-100dpi-md5sum  "c8b73a53dcefe3e8d3907d3500e484a9">
-
-  <!ENTITY font-bh-lucidatypewriter-75dpi-version "1.0.3">
-  <!ENTITY font-bh-lucidatypewriter-75dpi-md5sum  "f6d65758ac9eb576ae49ab24c5e9019a">
-
   <!ENTITY font-bh-ttf-version             "1.0.3">
   <!ENTITY font-bh-ttf-md5sum              "e8ca58ea0d3726b94fe9f2c17344be60">
@@ -53,69 +26,15 @@
   <!ENTITY font-bh-type1-md5sum            "53ed9a42388b7ebb689bdfc374f96a22">
 
-  <!ENTITY font-bitstream-100dpi-version   "1.0.3">
-  <!ENTITY font-bitstream-100dpi-md5sum    "6b223a54b15ecbd5a1bc52312ad790d8">
-
-  <!ENTITY font-bitstream-75dpi-version    "1.0.3">
-  <!ENTITY font-bitstream-75dpi-md5sum     "d7c0588c26fac055c0dd683fdd65ac34">
-
   <!ENTITY font-bitstream-type1-version    "1.0.3">
   <!ENTITY font-bitstream-type1-md5sum     "5e0c9895d69d2632e2170114f8283c11">
 
-  <!ENTITY font-cronyx-cyrillic-version    "1.0.3">
-  <!ENTITY font-cronyx-cyrillic-md5sum     "e452b94b59b9cfd49110bb49b6267fba">
-
-  <!ENTITY font-cursor-misc-version        "1.0.3">
-  <!ENTITY font-cursor-misc-md5sum         "3e0069d4f178a399cffe56daa95c2b63">
-
-  <!ENTITY font-daewoo-misc-version        "1.0.3">
-  <!ENTITY font-daewoo-misc-md5sum         "0571bf77f8fab465a5454569d9989506">
-
-  <!ENTITY font-dec-misc-version           "1.0.3">
-  <!ENTITY font-dec-misc-md5sum            "6e7c5108f1b16d7a1c7b2c9760edd6e5">
-
   <!ENTITY font-ibm-type1-version          "1.0.3">
   <!ENTITY font-ibm-type1-md5sum           "bfb2593d2102585f45daa960f43cb3c4">
 
-  <!ENTITY font-isas-misc-version          "1.0.3">
-  <!ENTITY font-isas-misc-md5sum           "a2401caccbdcf5698e001784dbd43f1a">
-
-  <!ENTITY font-jis-misc-version           "1.0.3">
-  <!ENTITY font-jis-misc-md5sum            "cb7b57d7800fd9e28ec35d85761ed278">
-
-  <!ENTITY font-micro-misc-version         "1.0.3">
-  <!ENTITY font-micro-misc-md5sum          "143c228286fe9c920ab60e47c1b60b67">
-
-  <!ENTITY font-misc-cyrillic-version      "1.0.3">
-  <!ENTITY font-misc-cyrillic-md5sum       "96109d0890ad2b6b0e948525ebb0aba8">
-
   <!ENTITY font-misc-ethiopic-version      "1.0.3">
   <!ENTITY font-misc-ethiopic-md5sum       "6306c808f7d7e7d660dfb3859f9091d2">
 
-  <!ENTITY font-misc-meltho-version        "1.0.3">
-  <!ENTITY font-misc-meltho-md5sum         "e3e7b0fda650adc7eb6964ff3c486b1c">
-
-  <!ENTITY font-misc-misc-version          "1.1.2">
-  <!ENTITY font-misc-misc-md5sum           "c88eb44b3b903d79fb44b860a213e623">
-
-  <!ENTITY font-mutt-misc-version          "1.0.3">
-  <!ENTITY font-mutt-misc-md5sum           "56b0296e8862fc1df5cdbb4efe604e86">
-
-  <!ENTITY font-schumacher-misc-version    "1.1.2">
-  <!ENTITY font-schumacher-misc-md5sum     "e805feb7c4f20e6bfb1118d19d972219">
-
-  <!ENTITY font-screen-cyrillic-version    "1.0.4">
-  <!ENTITY font-screen-cyrillic-md5sum     "6f3fdcf2454bf08128a651914b7948ca">
-
-  <!ENTITY font-sony-misc-version          "1.0.3">
-  <!ENTITY font-sony-misc-md5sum           "beef61a9b0762aba8af7b736bb961f86">
-
-  <!ENTITY font-sun-misc-version           "1.0.3">
-  <!ENTITY font-sun-misc-md5sum            "948f2e07810b4f31195185921470f68d">
-
   <!ENTITY font-util-version               "1.3.1">
   <!ENTITY font-util-md5sum                "23756dab809f9ec5011bb27fb2c3c7d6">
-
-  <!ENTITY font-winitzki-cyrillic-version  "1.0.3">
-  <!ENTITY font-winitzki-cyrillic-md5sum   "829a3159389b7f96f629e5388bfee67b">
 
   <!ENTITY font-xfree86-type1-version      "1.0.4">
@@ -141,6 +60,9 @@
     <title>Introduction to Xorg Fonts</title>
 
-    <para>The <application>Xorg</application> font packages provide
-    needed fonts to the <application>Xorg</application> applications.</para>
+    <para>The <application>Xorg</application> font packages provide some
+    scalable fonts and supporting packages for <application>Xorg</application>
+    applications. Many people will want to install other TTF or OTF fonts in
+    addition to, or instead of, these. Some are listed at <xref
+    linkend="xft-font-protocol"/>.</para>
 
     &lfs7a_checked;
@@ -186,38 +108,10 @@
 <literal>&font-util-md5sum;  font-util-&font-util-version;.tar.bz2
 &encodings-md5sum;  encodings-&encodings-version;.tar.bz2
-&font-adobe-100dpi-md5sum;  font-adobe-100dpi-&font-adobe-100dpi-version;.tar.bz2
-&font-adobe-75dpi-md5sum;  font-adobe-75dpi-&font-adobe-75dpi-version;.tar.bz2
-&font-adobe-utopia-100dpi-md5sum;  font-adobe-utopia-100dpi-&font-adobe-utopia-100dpi-version;.tar.bz2
-&font-adobe-utopia-75dpi-md5sum;  font-adobe-utopia-75dpi-&font-adobe-utopia-75dpi-version;.tar.bz2
+&font-alias-md5sum;  font-alias-&font-alias-version;.tar.bz2
 &font-adobe-utopia-type1-md5sum;  font-adobe-utopia-type1-&font-adobe-utopia-type1-version;.tar.bz2
-&font-alias-md5sum;  font-alias-&font-alias-version;.tar.bz2
-&font-arabic-misc-md5sum;  font-arabic-misc-&font-arabic-misc-version;.tar.bz2
-&font-bh-100dpi-md5sum;  font-bh-100dpi-&font-bh-100dpi-version;.tar.bz2
-&font-bh-75dpi-md5sum;  font-bh-75dpi-&font-bh-75dpi-version;.tar.bz2
-&font-bh-lucidatypewriter-100dpi-md5sum;  font-bh-lucidatypewriter-100dpi-&font-bh-lucidatypewriter-100dpi-version;.tar.bz2
-&font-bh-lucidatypewriter-75dpi-md5sum;  font-bh-lucidatypewriter-75dpi-&font-bh-lucidatypewriter-75dpi-version;.tar.bz2
 &font-bh-ttf-md5sum;  font-bh-ttf-&font-bh-ttf-version;.tar.bz2
 &font-bh-type1-md5sum;  font-bh-type1-&font-bh-type1-version;.tar.bz2
-&font-bitstream-100dpi-md5sum;  font-bitstream-100dpi-&font-bitstream-100dpi-version;.tar.bz2
-&font-bitstream-75dpi-md5sum;  font-bitstream-75dpi-&font-bitstream-75dpi-version;.tar.bz2
-&font-bitstream-type1-md5sum;  font-bitstream-type1-&font-bitstream-type1-version;.tar.bz2
-&font-cronyx-cyrillic-md5sum;  font-cronyx-cyrillic-&font-cronyx-cyrillic-version;.tar.bz2
-&font-cursor-misc-md5sum;  font-cursor-misc-&font-cursor-misc-version;.tar.bz2
-&font-daewoo-misc-md5sum;  font-daewoo-misc-&font-daewoo-misc-version;.tar.bz2
-&font-dec-misc-md5sum;  font-dec-misc-&font-dec-misc-version;.tar.bz2
 &font-ibm-type1-md5sum;  font-ibm-type1-&font-ibm-type1-version;.tar.bz2
-&font-isas-misc-md5sum;  font-isas-misc-&font-isas-misc-version;.tar.bz2
-&font-jis-misc-md5sum;  font-jis-misc-&font-jis-misc-version;.tar.bz2
-&font-micro-misc-md5sum;  font-micro-misc-&font-micro-misc-version;.tar.bz2
-&font-misc-cyrillic-md5sum;  font-misc-cyrillic-&font-misc-cyrillic-version;.tar.bz2
 &font-misc-ethiopic-md5sum;  font-misc-ethiopic-&font-misc-ethiopic-version;.tar.bz2
-&font-misc-meltho-md5sum;  font-misc-meltho-&font-misc-meltho-version;.tar.bz2
-&font-misc-misc-md5sum;  font-misc-misc-&font-misc-misc-version;.tar.bz2
-&font-mutt-misc-md5sum;  font-mutt-misc-&font-mutt-misc-version;.tar.bz2
-&font-schumacher-misc-md5sum;  font-schumacher-misc-&font-schumacher-misc-version;.tar.bz2
-&font-screen-cyrillic-md5sum;  font-screen-cyrillic-&font-screen-cyrillic-version;.tar.bz2
-&font-sony-misc-md5sum;  font-sony-misc-&font-sony-misc-version;.tar.bz2
-&font-sun-misc-md5sum;  font-sun-misc-&font-sun-misc-version;.tar.bz2
-&font-winitzki-cyrillic-md5sum;  font-winitzki-cyrillic-&font-winitzki-cyrillic-version;.tar.bz2
 &font-xfree86-type1-md5sum;  font-xfree86-type1-&font-xfree86-type1-version;.tar.bz2</literal>
 EOF</userinput></screen>
Index: x/installing/x7legacy.xml
===================================================================
--- x/installing/x7legacy.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
+++ x/installing/x7legacy.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -0,0 +1,229 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY x7legacy-download-http "&xorg-download-http;/">
+  <!ENTITY x7legacy-download-ftp  "&xorg-download-ftp;/">
+  <!ENTITY x7legacy-size          "1.7 MB">
+  <!ENTITY x7legacy-buildsize     "70 MB">
+  <!ENTITY x7legacy-time          "0.4 SBU">
+
+  <!ENTITY libXfont-version                "1.5.2">
+  <!ENTITY libXfont-md5sum                 "254ee42bd178d18ebc7a73aacfde7f79">
+
+  <!ENTITY bdftopcf-version                "1.0.5">
+  <!ENTITY bdftopcf-md5sum                 "53a48e1fdfec29ab2e89f86d4b7ca902">
+
+  <!ENTITY font-adobe-100dpi-version       "1.0.3">
+  <!ENTITY font-adobe-100dpi-md5sum        "1347c3031b74c9e91dc4dfa53b12f143">
+
+]>
+
+<sect1 id="xorg7-legacy" xreflabel="Xorg Legacy">
+  <?dbhtml filename="x7legacy.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Xorg Legacy</title>
+
+  <indexterm zone="xorg7-legacy">
+    <primary sortas="a-xorg7-legacy">Xorg Legacy</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Xorg Legacy</title>
+
+    <para><application>Xorg</application>&apos;s ancestor (X11R1, in 1987) at
+    first only provided bitmap fonts, with a tool (<command>bdftopcf</command>)
+    to assist in their installation. With the introduction of
+    <application>xorg-server-1.19.0</application>
+    and <application>libXfont2</application> many people will not need them.
+    There are still a few old packages which might require, or benefit from,
+    these deprecated fonts and so the following packages are shown here.</para>
+
+    <note>
+      <para>
+        The font-adobe-100dpi package installs 100 dots per inch versions of
+        Courier, Helvetica, New Century Schoolbook and Times fonts. In previous
+        versions of BLFS a lot more fonts were installed, and also 75 dots per
+        inch versions.
+      </para>
+
+      <para revision="sysv">
+       Please consult the BLFS-7.10 book at <ulink
+       url="http://www.linuxfromscratch.org/blfs/view/7.10/x/x7font.html"/>
+       if you wish to install any of those other fonts.
+      </para>
+
+      <para revision="systemd">
+       Please consult the BLFS-7.10 systemd book at <ulink
+       url="http://www.linuxfromscratch.org/blfs/view/7.10-systemd/x/x7font.html"/>
+       if you wish to install any of those other fonts.
+      </para>
+    </note>
+
+    &lfs7a_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&x7legacy-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&x7legacy-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download size: &x7legacy-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &x7legacy-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &x7legacy-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Xorg Legacy Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="xcursor-themes"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="xmlto"/> with one or more of the
+    following: <xref linkend="fop"/>,
+    <xref linkend="Links"/>,
+    <xref linkend="lynx"/>,
+    and <xref linkend="w3m"/> (to generate additional PDF or text
+    documentation for the libXfont package).</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url='&blfs-wiki;/Xorg7Legacy'/></para>
+
+  </sect2>
+
+  <sect2>
+    <title>Downloading Xorg Legacy</title>
+
+    <para>First, create a list of files to be downloaded. This file will also
+    be used to verify the integrity of the downloads when complete:</para>
+
+<screen><userinput>cat &gt; legacy.dat &lt;&lt; "EOF"
+<literal>&libXfont-md5sum; lib/ libXfont-&libXfont-version;.tar.bz2
+&bdftopcf-md5sum; app/ bdftopcf-&bdftopcf-version;.tar.bz2
+&font-adobe-100dpi-md5sum; font/ font-adobe-100dpi-&font-adobe-100dpi-version;.tar.bz2</literal>
+EOF</userinput></screen>
+
+    <para>To download the needed files using <application>wget</application>,
+    use the following commands:</para>
+
+<screen><userinput>mkdir legacy &amp;&amp;
+cd legacy &amp;&amp;
+grep -v '^#' ../legacy.dat | awk '{print $2$3}' | wget -i- -c \
+    -B &xorg-download-http;/ &amp;&amp;
+grep -v '^#' ../legacy.dat | awk '{print $1 " " $3}' >../legacy.md5 &amp;&amp;
+md5sum -c ../legacy.md5</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Xorg Legacy</title>
+
+&as_root;
+
+    <para>First, start a subshell that will exit on error:</para>
+
+<screen><userinput>bash -e</userinput></screen>
+
+    <para>Install all of the packages by running the following
+    commands:</para>
+
+<screen><userinput>for package in $(grep -v '^#' ../legacy.md5 | awk '{print $2}')
+do
+  packagedir=${package%.tar.bz2}
+  tar -xf $package
+  pushd $packagedir
+  case $packagedir in
+    libXfont-[0-9]* )
+      ./configure $XORG_CONFIG --disable-devel-docs
+    ;;
+    * )
+      ./configure $XORG_CONFIG
+    ;;
+  esac
+  make
+  as_root make install
+  popd
+  rm -rf $packagedir
+  as_root /sbin/ldconfig
+done</userinput></screen>
+
+    <para>Finally, exit the shell that was started earlier:</para>
+
+<screen><userinput>exit</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--disable-devel-docs</parameter>: Disable generation of
+    text documentation in the libXfont package if
+    <xref linkend="xmlto"/> is installed without a text browser. Omit
+    this parameter (or the entire <command>case</command> statement) if a text
+    browser is installed.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>bdftopcf</seg>
+        <seg>libXfont</seg>
+        <seg><envar>$XORG_PREFIX</envar>/share/fonts/100dpi</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="bdftopcf-x7">
+        <term><command>bdftopcf</command></term>
+        <listitem>
+          <para>converts an X font from Bitmap Distribution Format to Portable
+          Compiled Format.</para>
+          <indexterm zone="xorg7-legacy bdftopcf-x7">
+            <primary sortas="b-bdftopcf">bdftopcf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libXfont">
+        <term><filename class="libraryfile">libXfont.so</filename></term>
+        <listitem>
+          <para>is an old version of the X font library.</para>
+          <indexterm zone="xorg7-legacy libXfont">
+            <primary sortas="c-libXfont">libXfont.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ x/installing/x7lib.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -61,7 +61,4 @@
   <!ENTITY libfontenc-version              "1.1.3">
   <!ENTITY libfontenc-md5sum               "0920924c3a9ebc1265517bdd2f9fde50">
-
-  <!ENTITY libXfont-version                "1.5.2">
-  <!ENTITY libXfont-md5sum                 "254ee42bd178d18ebc7a73aacfde7f79">
 
   <!ENTITY libXfont2-version               "2.0.1">
@@ -197,5 +194,4 @@
 &libXdamage-md5sum;  libXdamage-&libXdamage-version;.tar.bz2
 &libfontenc-md5sum;  libfontenc-&libfontenc-version;.tar.bz2
-&libXfont-md5sum;  libXfont-&libXfont-version;.tar.bz2
 &libXfont2-md5sum;  libXfont2-&libXfont2-version;.tar.bz2
 &libXft-md5sum;  libXft-&libXft-version;.tar.bz2
@@ -263,5 +259,5 @@
       ./configure $XORG_CONFIG
     ;;
-    libXfont-[0-9]* )
+    libXfont2-[0-9]* )
       ./configure $XORG_CONFIG --disable-devel-docs
     ;;
@@ -297,5 +293,5 @@
 
     <para><parameter>--disable-devel-docs</parameter>: Disable generation of
-    text documentation in the libXfont package if
+    text documentation in the libXfont2 package if
     <xref linkend="xmlto"/> is installed without a text browser. Omit
     this parameter (or the entire <command>case</command> statement) if a text
@@ -339,5 +335,5 @@
           libXaw7.so, libXaw.so, libXcomposite.so,
           libXcursor.so, libXdamage.so, libXext.so,
-          libXfixes.so, libXfont.so, libXft.so, libXinerama.so,
+          libXfixes.so, libXfont2.so, libXft.so, libXinerama.so,
           libXi.so, libxkbfile.so, libXmu.so, libXmuu.so,
           libXpm.so, libXrandr.so, libXrender.so, libXRes.so,
@@ -546,10 +542,10 @@
       </varlistentry>
 
-      <varlistentry id="libXfont">
-        <term><filename class="libraryfile">libXfont.so</filename></term>
+      <varlistentry id="libXfont2">
+        <term><filename class="libraryfile">libXfont2.so</filename></term>
         <listitem>
           <para>is the X font library.</para>
-          <indexterm zone="xorg7-lib libXfont">
-            <primary sortas="c-libXfont">libXfont.so</primary>
+          <indexterm zone="xorg7-lib libXfont2">
+            <primary sortas="c-libXfont2">libXfont2.so</primary>
           </indexterm>
         </listitem>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ x/installing/xterm.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -64,4 +64,11 @@
     <para role="required"><xref linkend="xorg7-app"/></para>
 
+    <bridgehead renderas="sect4">Required (at runtime)</bridgehead>
+    <para role="required">
+      A monospace TTF or OTF font such as DejaVu, listed under
+      <xref linkend="xft-font-protocol"/>
+    </para>
+
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
Index: xsoft/other/tigervnc.xml
===================================================================
--- xsoft/other/tigervnc.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ xsoft/other/tigervnc.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -91,5 +91,7 @@
       <xref linkend="libjpeg"/>,
       <xref linkend="pixman"/>, and
-      <xref linkend="xorg7-app"/>
+      <!-- commented until tigervnc can use the 1.19 xorg-server
+      <xref linkend="xorg7-app"/> -->
+      <xref linkend="xorg7-legacy"/>
     </para>
 
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision 1a87abcd178ad700cc3fa37e2cd1fc3092f4cf9b)
+++ xsoft/other/xscreensaver.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
@@ -97,4 +97,10 @@
       <ulink url="http://linas.org/gle/">GLE</ulink> and
       <xref linkend="linux-pam"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional (runtime)</bridgehead>
+    <para role="optional">
+      <xref linkend="xorg7-legacy"/> (to enlarge the splash screen, error
+      messages, and password prompt)
     </para>
 