Index: general.ent
===================================================================
--- general.ent	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ general.ent	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "25">                   <!-- Always 2 digits -->
+<!ENTITY day          "26">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 25th &year;">
+<!ENTITY releasedate  "September 26th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/pcre2.xml
===================================================================
--- general/genlib/pcre2.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ general/genlib/pcre2.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -13,5 +13,5 @@
 ]>
 
-<sect1 id="pcre2" xreflabel="pcre2-&pcre2-version;-version;">
+<sect1 id="pcre2" xreflabel="pcre2-&pcre2-version;">
   <?dbhtml filename="pcre2.html"?>
 
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome.ent	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -58,10 +58,10 @@
 <!ENTITY gnome-keyring-version             "3.20.0">
 <!ENTITY gnome-settings-daemon-version     "3.22.0">
-<!ENTITY gnome-control-center-version      "3.20.1">
-<!ENTITY mutter-version                    "3.20.3">
-<!ENTITY gnome-shell-version               "3.20.4">
-<!ENTITY gnome-shell-extensions-version    "3.20.1">
-<!ENTITY gnome-session-version             "3.20.2">
-<!ENTITY gdm-version                       "3.20.1">
+<!ENTITY gnome-control-center-version      "3.22.0">
+<!ENTITY mutter-version                    "3.22.0">
+<!ENTITY gnome-shell-version               "3.22.0">
+<!ENTITY gnome-shell-extensions-version    "3.22.0">
+<!ENTITY gnome-session-version             "3.22.0">
+<!ENTITY gdm-version                       "3.22.0">
 <!ENTITY gnome-user-docs-version           "3.20.2">
 <!ENTITY adwaita-icon-theme-version        "3.22.0">
@@ -94,5 +94,5 @@
 <!ENTITY gnome-screenshot-version       "3.20.1">
 <!ENTITY gnome-system-monitor-version   "3.20.1">
-<!ENTITY gnome-terminal-version         "3.20.2">
+<!ENTITY gnome-terminal-version         "3.22.0">
 <!ENTITY gnome-tweak-tool-version       "3.20.1">
 <!ENTITY gnome-weather-version          "3.20.2">
@@ -100,4 +100,4 @@
 <!ENTITY network-manager-applet-version "1.4.0">
 <!ENTITY seahorse-version               "3.20.0">
-<!ENTITY vinagre-version                "3.20.2">
+<!ENTITY vinagre-version                "3.22.0">
 <!ENTITY vino-version                   "3.22.0">
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/applications/gnome-terminal.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-terminal-download-http
-           "&gnome-download-http;/gnome-terminal/&gnome-minor-20;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+           "&gnome-download-http;/gnome-terminal/&gnome-minor-22;/gnome-terminal-&gnome-terminal-version;.tar.xz">
   <!ENTITY gnome-terminal-download-ftp
-           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-20;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "8a450458cb833741cf52267d4a208f9a">
+           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-22;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+  <!ENTITY gnome-terminal-md5sum        "7d8e33a07f06263ca4dd09b62bea6ab2">
   <!ENTITY gnome-terminal-size          "1.8 MB">
-  <!ENTITY gnome-terminal-buildsize     "37 MB">
+  <!ENTITY gnome-terminal-buildsize     "47 MB">
   <!ENTITY gnome-terminal-time          "0.3 SBU">
 ]>
@@ -81,5 +81,6 @@
       <phrase revision="systemd"><xref linkend="gnome-shell"/>,</phrase>
       <xref linkend="gsettings-desktop-schemas"/>,
-      <xref linkend="itstool"/>, and
+      <xref linkend="itstool"/>,
+      <xref linkend="pcre2"/>, and
       <xref linkend="vte"/>
     </para>
@@ -93,5 +94,5 @@
     <para role="optional">
       <xref linkend="desktop-file-utils"/>
-      <phrase revision="sysv"><ulink url="http://people.freedesktop.org/~hughsient/appstream-glib/releases">and appstream-glib</ulink></phrase>
+      <phrase revision="sysv">and <ulink url="http://people.freedesktop.org/~hughsient/appstream-glib/releases">appstream-glib</ulink></phrase>
     </para>
 
@@ -143,12 +144,13 @@
     <para revision="sysv">
       <parameter>--disable-search-provider</parameter>: This switch disables
-      <quote>search <application>gnome-shell</application></quote> provider.
-      Necessary, because <application>gnome-shell</application> is not in BLFS.
-      Remove it, if you have <application>gnome-shell</application> installed.
+      the <quote>search <application>gnome-shell</application></quote>
+      provider. This is necessary because 
+      <application>gnome-shell</application> is not in BLFS. Remove this if
+      you have <application>gnome-shell</application> installed.
     </para>
 
     <para>
       <parameter>--disable-migration</parameter>: This switch disables
-      building of the <application>GNOME Terminal</application>
+      building the <application>GNOME Terminal</application>
       <application>GConf</application> migration tool which is
       not necessary for BLFS.
Index: gnome/applications/vinagre.xml
===================================================================
--- gnome/applications/vinagre.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/applications/vinagre.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY vinagre-download-http "&gnome-download-http;/vinagre/&gnome-minor-20;/vinagre-&vinagre-version;.tar.xz">
-  <!ENTITY vinagre-download-ftp  "&gnome-download-ftp;/vinagre/&gnome-minor-20;/vinagre-&vinagre-version;.tar.xz">
-  <!ENTITY vinagre-md5sum        "9de02d851784174a0137b71480c0c728">
-  <!ENTITY vinagre-size          "816 KB">
-  <!ENTITY vinagre-buildsize     "24 MB">
+  <!ENTITY vinagre-download-http "&gnome-download-http;/vinagre/&gnome-minor-22;/vinagre-&vinagre-version;.tar.xz">
+  <!ENTITY vinagre-download-ftp  "&gnome-download-ftp;/vinagre/&gnome-minor-22;/vinagre-&vinagre-version;.tar.xz">
+  <!ENTITY vinagre-md5sum        "451554ddf46636105cd5f0330e98d254">
+  <!ENTITY vinagre-size          "1.5 MB">
+  <!ENTITY vinagre-buildsize     "25 MB">
   <!ENTITY vinagre-time          "0.2 SBU">
 ]>
@@ -108,5 +108,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr 
+            --enable-compile-warnings=minimum &amp;&amp;
 make</userinput></screen>
 
Index: gnome/platform/gdm.xml
===================================================================
--- gnome/platform/gdm.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/platform/gdm.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY gdm-download-http "&gnome-download-http;/gdm/&gnome-minor-20;/gdm-&gdm-version;.tar.xz">
-  <!ENTITY gdm-download-ftp  "&gnome-download-ftp;/gdm/&gnome-minor-20;/gdm-&gdm-version;.tar.xz">
-  <!ENTITY gdm-md5sum        "5ce6722e298aae7e18d5007be9c2a4fb">
+  <!ENTITY gdm-download-http "&gnome-download-http;/gdm/&gnome-minor-22;/gdm-&gdm-version;.tar.xz">
+  <!ENTITY gdm-download-ftp  "&gnome-download-ftp;/gdm/&gnome-minor-22;/gdm-&gdm-version;.tar.xz">
+  <!ENTITY gdm-md5sum        "23595a06aa0b3fd93d76b134a16db4c6">
   <!ENTITY gdm-size          "1.1 MB">
-  <!ENTITY gdm-buildsize     "41 MB (with tests)">
+  <!ENTITY gdm-buildsize     "39 MB (with tests)">
   <!ENTITY gdm-time          "0.4 SBU (with tests)">
 ]>
@@ -80,5 +80,6 @@
       <xref linkend="iso-codes"/>,
       <xref linkend="itstool"/>,
-      <xref linkend="libcanberra"/>, and
+      <xref linkend="libcanberra"/>, 
+      <xref linkend="libdaemon"/>, and
       <xref linkend="linux-pam"/>
     </para>
@@ -161,6 +162,6 @@
 
     <para>
-      <option>--without-plymouth</option>: GDM now explicitly requires plymouth
-      to be installed. Use this switch to disable this dependency.
+      <parameter>--without-plymouth</parameter>: GDM now explicitly requires 
+      plymouth to be installed. Use this switch to disable this dependency.
     </para>
 
@@ -171,4 +172,9 @@
       auto detection will fail and you will be unable to use
       <application>GDM</application>.
+    </para>
+
+    <para>
+      <parameter>--enable-gdm-xsession</parameter>: This enables the
+      installation of the <application>GDM</application> Xsession file.
     </para>
 
@@ -238,5 +244,5 @@
         </seg>
         <seg>
-          libgdm.so
+          libgdm.so and pam_gdm.so (PAM Module)
         </seg>
         <seg>
@@ -262,5 +268,5 @@
         <listitem>
           <para>
-            is the <application>GNOME</application> based login prompt.
+            is a login prompt for <application>GNOME</application>.
           </para>
           <indexterm zone="gdm gdm-prog">
@@ -274,5 +280,5 @@
         <listitem>
           <para>
-            is a <application>GDM</application> screenshot tool.
+            is a screenshot tool for <application>GDM</application>.
           </para>
           <indexterm zone="gdm gdm-screenshot">
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/platform/gnome-control-center.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-control-center-download-http
-           "&gnome-download-http;/gnome-control-center/&gnome-minor-20;/gnome-control-center-&gnome-control-center-version;.tar.xz">
+           "&gnome-download-http;/gnome-control-center/&gnome-minor-22;/gnome-control-center-&gnome-control-center-version;.tar.xz">
   <!ENTITY gnome-control-center-download-ftp
-           "&gnome-download-ftp;/gnome-control-center/&gnome-minor-20;/gnome-control-center-&gnome-control-center-version;.tar.xz">
-  <!ENTITY gnome-control-center-md5sum        "0f2297bc4eebfaccf8898dd3d1e38f15">
-  <!ENTITY gnome-control-center-size          "6.8 MB">
-  <!ENTITY gnome-control-center-buildsize     "154 MB">
-  <!ENTITY gnome-control-center-time          "1.9 SBU">
+           "&gnome-download-ftp;/gnome-control-center/&gnome-minor-22;/gnome-control-center-&gnome-control-center-version;.tar.xz">
+  <!ENTITY gnome-control-center-md5sum        "88b12b465b40c9733195bc4a218b9808">
+  <!ENTITY gnome-control-center-size          "7.0 MB">
+  <!ENTITY gnome-control-center-buildsize     "161 MB">
+  <!ENTITY gnome-control-center-time          "1.6 SBU">
 ]>
 
Index: gnome/platform/gnome-session.xml
===================================================================
--- gnome/platform/gnome-session.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/platform/gnome-session.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-session-download-http
-           "&gnome-download-http;/gnome-session/&gnome-minor-20;/gnome-session-&gnome-session-version;.tar.xz">
+           "&gnome-download-http;/gnome-session/&gnome-minor-22;/gnome-session-&gnome-session-version;.tar.xz">
   <!ENTITY gnome-session-download-ftp
-           "&gnome-download-ftp;/gnome-session/&gnome-minor-20;/gnome-session-&gnome-session-version;.tar.xz">
-  <!ENTITY gnome-session-md5sum        "f2f71b012bae9f3a17b54b6384bc345a">
-  <!ENTITY gnome-session-size          "768 KB">
-  <!ENTITY gnome-session-buildsize     "18 MB">
+           "&gnome-download-ftp;/gnome-session/&gnome-minor-22;/gnome-session-&gnome-session-version;.tar.xz">
+  <!ENTITY gnome-session-md5sum        "cb4b7ffb20a18f836f7a0d875a3439e6">
+  <!ENTITY gnome-session-size          "760 KB">
+  <!ENTITY gnome-session-buildsize     "17 MB">
   <!ENTITY gnome-session-time          "0.2 SBU">
 ]>
@@ -86,5 +86,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="GConf"/> and
+      <xref linkend="GConf"/>,
+      <xref linkend="xmlto"/>, and
       <xref linkend="libxslt"/> with
       <xref linkend="DocBook"/> and
@@ -151,7 +152,6 @@
         </seg>
         <seg>
-          /usr/share/doc/gnome-session-&gnome-session-version;,
-          /usr/share/gnome-session, and
-          /usr/share/wayland-sessions
+          /usr/share/doc/gnome-session-&gnome-session-version; and
+          /usr/share/gnome-session
         </seg>
       </seglistitem>
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-shell-extensions-download-http
-           "&gnome-download-http;/gnome-shell-extensions/&gnome-minor-20;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
+           "&gnome-download-http;/gnome-shell-extensions/&gnome-minor-22;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
   <!ENTITY gnome-shell-extensions-download-ftp
-           "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor-20;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
-  <!ENTITY gnome-shell-extensions-md5sum        "bbb30cdee09102362611f16d0617062b">
-  <!ENTITY gnome-shell-extensions-size          "232 KB">
-  <!ENTITY gnome-shell-extensions-buildsize     "4.9 MB">
+           "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor-22;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
+  <!ENTITY gnome-shell-extensions-md5sum        "53a4426ecf1cbe6b5f66252db81363c8">
+  <!ENTITY gnome-shell-extensions-size          "332 KB">
+  <!ENTITY gnome-shell-extensions-buildsize     "5.4 MB">
   <!ENTITY gnome-shell-extensions-time          "less than 0.1 SBU">
 ]>
@@ -81,4 +81,8 @@
     </para>
 
+    <para role="optional">
+      <ulink url="http://sass-lang.com/guide">sass</ulink>
+    </para>
+
     <para condition="html" role="usernotes">User Notes:
       <ulink url="&blfs-wiki;/gnome-shell-extensions"/>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/platform/gnome-shell.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-shell-download-http
-           "&gnome-download-http;/gnome-shell/&gnome-minor-20;/gnome-shell-&gnome-shell-version;.tar.xz">
+           "&gnome-download-http;/gnome-shell/&gnome-minor-22;/gnome-shell-&gnome-shell-version;.tar.xz">
   <!ENTITY gnome-shell-download-ftp
-           "&gnome-download-ftp;/gnome-shell/&gnome-minor-20;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "a0c1fb7b661f1caf4675e163a3d00f8d">
-  <!ENTITY gnome-shell-size          "1.6 MB">
-  <!ENTITY gnome-shell-buildsize     "88 MB">
-  <!ENTITY gnome-shell-time          "1.1 SBU">
+           "&gnome-download-ftp;/gnome-shell/&gnome-minor-22;/gnome-shell-&gnome-shell-version;.tar.xz">
+  <!ENTITY gnome-shell-md5sum        "3e61a96502431d64940514a3fd345f01">
+  <!ENTITY gnome-shell-size          "1.9 MB">
+  <!ENTITY gnome-shell-buildsize     "87 MB">
+  <!ENTITY gnome-shell-time          "0.9 SBU">
 ]>
 
@@ -82,6 +82,7 @@
       <xref linkend="gnome-control-center"/>,
       <xref linkend="libcroco"/>,
-      <xref linkend="mutter"/>, and
-      <xref linkend="startup-notification"/>
+      <xref linkend="mutter"/>,
+      <xref linkend="startup-notification"/>, and
+      <xref linkend="systemd"/>
     </para>
 
@@ -95,5 +96,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/>
+      <xref linkend="gtk-doc"/> and
+      <ulink url="http://sass-lang.com/guide">sass</ulink>
     </para>
 
@@ -163,6 +165,7 @@
         <seg>
           /usr/lib/gnome-shell,
-          /usr/share/gnome-shell, and
-          /usr/share/gtk-doc/html/{shell,st}
+          /usr/share/gnome-shell,
+          /usr/share/gtk-doc/html/{shell,st}, and
+          /usr/share/xdg-desktop-portal/
         </seg>
       </seglistitem>
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ gnome/platform/mutter.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-minor-20;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-minor-20;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-md5sum        "7b847d952a108be4c4096e8842db00eb">
-  <!ENTITY mutter-size          "1.4 MB">
-  <!ENTITY mutter-buildsize     "64 MB">
-  <!ENTITY mutter-time          "1.0 SBU">
+  <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-minor-22;/mutter-&mutter-version;.tar.xz">
+  <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-minor-22;/mutter-&mutter-version;.tar.xz">
+  <!ENTITY mutter-md5sum        "e448039015b355e7e2b9f86087e2f399">
+  <!ENTITY mutter-size          "3.4 MB">
+  <!ENTITY mutter-buildsize     "192 MB">
+  <!ENTITY mutter-time          "2.5 SBU">
 ]>
 
@@ -103,4 +103,8 @@
     </para>
 
+    <!-- NOTE: For some reason, it builds internal git versions of
+    cogl and clutter during the building process, even with them preinstalled.
+    This adds 1.5 SBU, and I have no clue why it needs to do this. -->
+
     <para condition="html" role="usernotes">User Notes:
       <ulink url="&blfs-wiki;/mutter"/>
@@ -138,6 +142,9 @@
       href="../../xincludes/static-libraries.xml"/>
 
+<!-- Doesn't seem to recognize this. I'll hold off on removing it entirely
+    until the next point release.
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/gtk-doc-rebuild.xml"/>
+-->
 
   </sect2>
@@ -159,7 +166,5 @@
         </seg>
         <seg>
-          /usr/include/mutter,
-          /usr/lib/mutter, and
-          /usr/share/gtk-doc/html/meta
+          /usr/{lib,include}/mutter
         </seg>
       </seglistitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
+++ introduction/welcome/changelog.xml	(revision 0129a2f5f09834be9dab6f9d91a057be4f9ee679)
@@ -45,4 +45,42 @@
 -->
     <listitem>
+      <para>September 26th, 2016</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to Vinagre-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-terminal-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to mutter-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-session-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-shell-extensions-3.22.0. Partially
+          fixes <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-shell-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gdm-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-control-center-3.22.0. Partially
+          fixes <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 25th, 2016</para>
       <itemizedlist>
@@ -57,5 +95,5 @@
         <listitem>
           <para>[renodr] - Update to Cheese-3.22.0. Partially fixes
-          <ulink url="blfs-ticket-root;8315">#8315</ulink>.</para>
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
         </listitem>
         <listitem revision="systemd">