Index: general/genlib/libpciaccess.xml
===================================================================
--- general/genlib/libpciaccess.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/genlib/libpciaccess.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/wayland.xml
===================================================================
--- general/genlib/wayland.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/genlib/wayland.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/fontconfig.xml
===================================================================
--- general/graphlib/fontconfig.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/graphlib/fontconfig.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/graphlib/freetype2.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/graphite2.xml
===================================================================
--- general/graphlib/graphite2.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/graphlib/graphite2.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/graphlib/harfbuzz.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/graphlib/libpng.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/prog/git.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -47,5 +47,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/prog/subversion.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/swig.xml
===================================================================
--- general/prog/swig.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ general/prog/swig.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -58,5 +58,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libva.xml
===================================================================
--- multimedia/libdriv/libva.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ multimedia/libdriv/libva.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libvdpau.xml
===================================================================
--- multimedia/libdriv/libvdpau.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ multimedia/libdriv/libvdpau.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -56,5 +56,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libnl.xml
===================================================================
--- networking/netlibs/libnl.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ networking/netlibs/libnl.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/net-tools.xml
===================================================================
--- networking/netprogs/net-tools.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ networking/netprogs/net-tools.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -34,5 +34,5 @@
     kernel.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/wireless-tools.xml
===================================================================
--- networking/netprogs/wireless-tools.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ networking/netprogs/wireless-tools.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -41,5 +41,5 @@
     textual interface to support the full Wireless Extension.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/wpa_supplicant.xml
===================================================================
--- networking/netprogs/wpa_supplicant.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ networking/netprogs/wpa_supplicant.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXau.xml
===================================================================
--- x/installing/libXau.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/libXau.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -34,5 +34,5 @@
     restricting client access to the display.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXdmcp.xml
===================================================================
--- x/installing/libXdmcp.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/libXdmcp.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -34,5 +34,5 @@
     allowing clients to interact with the X Display Manager.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/util-macros.xml
===================================================================
--- x/installing/util-macros.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/util-macros.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -34,5 +34,5 @@
     <application>Xorg</application> packages.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/x7lib.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -125,5 +125,5 @@
     routines that are used within all X Window applications.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7proto.xml
===================================================================
--- x/installing/x7proto.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/x7proto.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -112,5 +112,5 @@
     applications to build against the installed X Window system.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-cursor.xml
===================================================================
--- x/installing/xcb-util-cursor.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/xcb-util-cursor.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-image.xml
===================================================================
--- x/installing/xcb-util-image.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/xcb-util-image.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-keysyms.xml
===================================================================
--- x/installing/xcb-util-keysyms.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/xcb-util-keysyms.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-renderutil.xml
===================================================================
--- x/installing/xcb-util-renderutil.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/xcb-util-renderutil.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-wm.xml
===================================================================
--- x/installing/xcb-util-wm.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/xcb-util-wm.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util.xml
===================================================================
--- x/installing/xcb-util.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/installing/xcb-util.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -64,5 +64,5 @@
         <para>
           Estimated disk space required: &xcb-util-buildsize;
-        </para>
+       </para>
       </listitem>
       <listitem>
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision 678c25bdd374a1a94f0625ee3d665c9326e28e54)
+++ x/lib/libdrm.xml	(revision 130e7e1bfc08e01109d7d1997556114126be8df6)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>