Index: general.ent
===================================================================
--- general.ent	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ general.ent	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 20th, &year;">
+<!ENTITY releasedate  "October 21th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libical.xml
===================================================================
--- general/genlib/libical.xml	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ general/genlib/libical.xml	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -5,10 +5,11 @@
   %general-entities;
 
-  <!ENTITY libical-download-http "http://downloads.sourceforge.net/freeassociation/libical-&libical-version;.tar.gz">
+<!--  <!ENTITY libical-download-http "http://downloads.sourceforge.net/freeassociation/libical-&libical-version;.tar.gz">-->
+  <!ENTITY libical-download-http "https://github.com/libical/libical/archive/v&libical-version;.tar.gz">
   <!ENTITY libical-download-ftp  " ">
-  <!ENTITY libical-md5sum        "4438c31d00ec434f02867a267a92f8a1">
-  <!ENTITY libical-size          "1.2 MB">
-  <!ENTITY libical-buildsize     "20 MB">
-  <!ENTITY libical-time          "0.4 SBU">
+  <!ENTITY libical-md5sum        "af91db06b22559f863869c5a382ad08a">
+  <!ENTITY libical-size          "704 KB">
+  <!ENTITY libical-buildsize     "12 MB (additional 13 MB for the API documentation)">
+  <!ENTITY libical-time          "0.1 SBU">
 ]>
 
@@ -38,4 +39,5 @@
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
+
     <itemizedlist spacing="compact">
       <listitem>
@@ -78,4 +80,9 @@
     <para role="required">
       <xref linkend="cmake"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="doxygen"/> (for the API documentation)
     </para>
 
@@ -105,8 +112,16 @@
 cmake -DCMAKE_INSTALL_PREFIX=/usr \
       -DCMAKE_BUILD_TYPE=Release  \
+      -DSHARED_ONLY=yes           \
       .. &amp;&amp;
 make</userinput></screen>
 
     <para>
+      If you have <xref linkend="doxygen"/> installed and wish to build the API
+      documentation, issue:
+    </para>
+
+<screen><userinput>make docs</userinput></screen>
+
+    <para>
       To test the results, issue: <command>make test</command>.
     </para>
@@ -117,4 +132,12 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      If you have built the API documentation, install by issuing, as
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>install -vdm755 /usr/share/doc/libical-&libical-version;/html &amp;&amp;
+cp -vr apidocs/html/* /usr/share/doc/libical-&libical-version;/html</userinput></screen>
 
   </sect2>
@@ -126,4 +149,9 @@
       <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used
       to apply higher level of the compiler optimizations.
+    </para>
+
+    <para>
+      <parameter>-DSHARED_ONLY=yes</parameter>: This switch is used
+      in order to only build the shared libraries.
     </para>
 
@@ -154,8 +182,9 @@
         </seg>
         <seg>
-          libical.{so,a}, libicalss.{so,a} and libicalvcal.{so,a}
+          libical.so, libicalss.so and libicalvcal.so
         </seg>
         <seg>
-          /usr/include/libical
+          /usr/include/libical and
+          /usr/share/doc/libical-&libical-version;/html
         </seg>
       </seglistitem>
@@ -168,5 +197,5 @@
 
       <varlistentry id="libical-lib">
-        <term><filename class="libraryfile">libical.{so,a}</filename></term>
+        <term><filename class="libraryfile">libical.so</filename></term>
         <listitem>
           <para>
@@ -175,5 +204,5 @@
           </para>
           <indexterm zone="libical libical-lib">
-            <primary sortas="c-libical">libical.{so,a}</primary>
+            <primary sortas="c-libical">libical.so</primary>
           </indexterm>
         </listitem>
@@ -181,5 +210,5 @@
 
       <varlistentry id="libicalss">
-        <term><filename class="libraryfile">libicalss.{so,a}</filename></term>
+        <term><filename class="libraryfile">libicalss.so</filename></term>
         <listitem>
           <para>
@@ -188,5 +217,5 @@
           </para>
           <indexterm zone="libical libicalss">
-            <primary sortas="c-libicalss">libicalss.{so,a}</primary>
+            <primary sortas="c-libicalss">libicalss.so</primary>
           </indexterm>
         </listitem>
@@ -194,5 +223,5 @@
 
       <varlistentry id="libicalvcal">
-        <term><filename class="libraryfile">libicalvcal.{so,a}</filename></term>
+        <term><filename class="libraryfile">libicalvcal.so</filename></term>
         <listitem>
           <para>
@@ -200,5 +229,5 @@
           </para>
           <indexterm zone="libical libicalvcal">
-            <primary sortas="c-libicalvcal">libicalvcal.{so,a}</primary>
+            <primary sortas="c-libicalvcal">libicalvcal.so</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ introduction/welcome/changelog.xml	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -44,4 +44,23 @@
 
 -->
+
+    <listitem>
+      <para>October 20th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - FontForge-2.0.20141014: remove some extra
+          spaces.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - KDE: remove ftp URLs and make explicit the http
+          ones in "Starting KDE" and "Further KDE packages".</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to libical-1.0.1.  Fixes 
+          <ulink url="&blfs-ticket-root;5707">#5707</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>October 20th, 2014</para>
Index: kde/add/add-pkgs.xml
===================================================================
--- kde/add/add-pkgs.xml	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ kde/add/add-pkgs.xml	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -19,7 +19,8 @@
   packages in the KDE Software Compilation. The included packages were selected
   based on what most people would want to use on a standard desktop computer.</para>
-  <para>For a full list of available packages, have a look on the KDE servers
-  (<ulink url="&kde-download-http;&kde-version;/src/">http</ulink>
-  or <ulink url="&kde-download-ftp;&kde-version;/src/">ftp</ulink>).</para>
+
+  <para>For a full list of available packages, have a look on the KDE servers at
+  <ulink url="&kde-download-http;&kde-version;/src/">&kde-download-http;&kde-version;/src/</ulink>
+<!--  or <ulink url="&kde-download-ftp;&kde-version;/src/">ftp</ulink>)-->.</para>
 
   <para>Some additional packages worth mentioning are:</para>
Index: kde/core/config.xml
===================================================================
--- kde/core/config.xml	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ kde/core/config.xml	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -75,10 +75,10 @@
 
     <para>You may want to install support for your locale language. The l10n
-    packages can be found at
-    <ulink url="&kde-download-http;&kde-version;/src/kde-l10n/">http</ulink> or
-    <ulink url="&kde-download-ftp;&kde-version;/src/kde-l10n/">ftp</ulink>.
+    packages can be found at <ulink
+    url="&kde-download-http;&kde-version;/src/kde-l10n/">&kde-download-http;&kde-version;/src/kde-l10n/</ulink>.
     See <xref linkend="kde-add-pkgs"/> for build instructions. If you are in a
     KDE session when installing a new language and configure KDE to use it, the
     session needs to be restarted, in order to see the effects.</para>
+
   </sect2>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ packages.ent	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -119,5 +119,5 @@
 <!ENTITY libgsf-version               "1.14.30">
 <!ENTITY libgusb-version              "0.1.6">
-<!ENTITY libical-version              "1.0">
+<!ENTITY libical-version              "1.0.1">
 <!ENTITY libidn-version               "1.29">
 <!ENTITY libiodbc-version             "3.52.9">
Index: xsoft/other/fontforge.xml
===================================================================
--- xsoft/other/fontforge.xml	(revision 3e5e86a0da404ccfcfdba4c2f92f544b47beb266)
+++ xsoft/other/fontforge.xml	(revision 131b1b7029a822a29e0c4b359211e97d4146483b)
@@ -123,5 +123,5 @@
     </para>
 
-<screen><userinput>./bootstrap                   &amp;&amp;
+<screen><userinput>./bootstrap &amp;&amp;
 ./configure --prefix=/usr     \
             --enable-gtk2-use \