Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ general/genlib/nodejs.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -7,5 +7,5 @@
   <!ENTITY nodejs-download-http "https://nodejs.org/dist/v&nodejs-version;/node-v&nodejs-version;.tar.xz">
   <!ENTITY nodejs-download-ftp  " ">
-  <!ENTITY nodejs-md5sum        "442f2edbfa4d1b36099e6e5a29f7c5ec">
+  <!ENTITY nodejs-md5sum        "0cf236b2172b101f5ea3b7006ee7e84f">
   <!ENTITY nodejs-size          "18 MB">
   <!ENTITY nodejs-buildsize     "321 MB">
Index: general/genlib/talloc.xml
===================================================================
--- general/genlib/talloc.xml	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ general/genlib/talloc.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -7,7 +7,7 @@
   <!ENTITY talloc-download-http "https://www.samba.org/ftp/talloc/talloc-&talloc-version;.tar.gz">
   <!ENTITY talloc-download-ftp  " ">
-  <!ENTITY talloc-md5sum        "452596f904ca2b10322bdaabf147a721">
+  <!ENTITY talloc-md5sum        "06f8f557cd7696d51cc0418a7011d5ef">
   <!ENTITY talloc-size          "436 KB">
-  <!ENTITY talloc-buildsize     "7.3 MB (with tests)">
+  <!ENTITY talloc-buildsize     "7.4 MB (with tests)">
   <!ENTITY talloc-time          "0.3 SBU (with tests)">
 ]>
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ general/prog/git.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -9,9 +9,9 @@
   <!ENTITY git-download-http "&git-root;/git-&git-version;.tar.xz">
   <!ENTITY git-download-ftp  " ">
-  <!ENTITY git-md5sum        "13a715b3f0b2088839079eed2f8902ad">
+  <!ENTITY git-md5sum        "dcd971e4242679eeb6f66fadf7bad42e">
   <!ENTITY git-size          "4.7 MB">
   <!-- space measured on 2.16.1 with gcc-7.3, glibc-2.26, only pcre optional dep. -->
-  <!ENTITY git-buildsize     "466 MB (with downloaded documentation)">
-  <!ENTITY git-time          "0.3 SBU (with parallelism=4; add 1.6 SBU for tests with parallelism=4)">
+  <!ENTITY git-buildsize     "467 MB (with downloaded documentation)">
+  <!ENTITY git-time          "0.3 SBU (with parallelism=4; add 1.5 SBU for tests with parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ introduction/welcome/changelog.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -46,4 +46,24 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to libdvdcss-1.4.2. Fixes
+          <ulink url="&blfs-ticket-root;10568">#10568</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to git-2.16.3. Fixes
+          <ulink url="&blfs-ticket-root;10566">#10566</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to talloc-2.1.12. Fixes
+          <ulink url="&blfs-ticket-root;10565">#10565</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to node.js-9.9.0. Fixes
+          <ulink url="&blfs-ticket-root;10564">#10564</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nmap-7.70. Fixes
+          <ulink url="&blfs-ticket-root;10563">#10563</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Use LWP::Protocol::https for ntp dependency. Fixes
           <ulink url="&blfs-ticket-root;10570">#10570</ulink>.</para>
Index: multimedia/libdriv/libdvdcss.xml
===================================================================
--- multimedia/libdriv/libdvdcss.xml	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ multimedia/libdriv/libdvdcss.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -7,5 +7,5 @@
   <!ENTITY libdvdcss-download-http "https://get.videolan.org/libdvdcss/&libdvdcss-version;/libdvdcss-&libdvdcss-version;.tar.bz2">
   <!ENTITY libdvdcss-download-ftp  " ">
-  <!ENTITY libdvdcss-md5sum        "47e7cb46fe3a5e53bec1356423b0b534">
+  <!ENTITY libdvdcss-md5sum        "7b74f2e142b13c9de6dc8d807ab912d4">
   <!ENTITY libdvdcss-size          "360 KB">
   <!ENTITY libdvdcss-buildsize     "3.2 MB">
Index: networking/netutils/nmap.xml
===================================================================
--- networking/netutils/nmap.xml	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ networking/netutils/nmap.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -7,7 +7,7 @@
   <!ENTITY nmap-download-http "http://nmap.org/dist/nmap-&nmap-version;.tar.bz2">
   <!ENTITY nmap-download-ftp  " ">
-  <!ENTITY nmap-md5sum        "4e454266559ddf2c4e2109866c62560c">
-  <!ENTITY nmap-size          "9.9 MB">
-  <!ENTITY nmap-buildsize     "114 MB (add 21 MB for tests)">
+  <!ENTITY nmap-md5sum        "84eb6fbe788e0d4918c2b1e39421bf79">
+  <!ENTITY nmap-size          "10 MB">
+  <!ENTITY nmap-buildsize     "116 MB (add 21 MB for tests)">
   <!ENTITY nmap-time          "0.9 SBU (add 0.2 SBU for tests)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4d56869a21c9fe13050b90f920c9251d96e8d2b4)
+++ packages.ent	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
@@ -173,5 +173,5 @@
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.5">
-<!ENTITY nodejs-version               "9.8.0">
+<!ENTITY nodejs-version               "9.9.0">
 <!ENTITY npth-version                 "1.5">
 <!ENTITY nspr-version                 "4.19">
@@ -185,5 +185,5 @@
 <!ENTITY qjson-version                "0.8.1">
 <!ENTITY sbc-version                  "1.3">
-<!ENTITY talloc-version               "2.1.11">
+<!ENTITY talloc-version               "2.1.12">
 <!ENTITY telepathy-glib-version       "0.24.1">
 <!ENTITY wayland-version              "1.14.0">
@@ -317,5 +317,5 @@
 <!ENTITY gc-version                   "7.6.4">
 <!ENTITY gdb-version                  "8.1">
-<!ENTITY git-version                  "2.16.2">
+<!ENTITY git-version                  "2.16.3">
 <!ENTITY guile-version                "2.2.3">
 <!ENTITY librep-version               "0.92.7">
@@ -452,5 +452,5 @@
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "1.10.6">
-<!ENTITY nmap-version                 "7.60">
+<!ENTITY nmap-version                 "7.70">
 <!ENTITY traceroute-version           "2.1.0">
 <!ENTITY whois-version                "5.2.20">
@@ -796,5 +796,5 @@
 <!ENTITY libcdio-version              "2.0.0">
 <!ENTITY libdiscid-version            "0.6.2">
-<!ENTITY libdvdcss-version            "1.4.1">
+<!ENTITY libdvdcss-version            "1.4.2">
 <!ENTITY libdvdread-version           "6.0.0">
 <!ENTITY libdvdnav-version            "6.0.0">