Index: general.ent
===================================================================
--- general.ent	(revision c647e6d0b126caa074d4b1ac9737a6113deb66c6)
+++ general.ent	(revision 137a99dedc02edb46c0b5a1e258c679065ef1a0a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "24">                   <!-- Always 2 digits -->
+<!ENTITY day          "25">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 24th, &year;">
+<!ENTITY releasedate  "May 25th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -514,5 +514,5 @@
 <!-- Chapter 22 -->
 <!ENTITY db-version                   "6.0.30">
-<!ENTITY mariadb-version              "10.0.10">
+<!ENTITY mariadb-version              "10.0.11">
 <!ENTITY postgresql-version           "9.3.4">
 <!ENTITY sqlite-version               "3.8.4.3">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c647e6d0b126caa074d4b1ac9737a6113deb66c6)
+++ introduction/welcome/changelog.xml	(revision 137a99dedc02edb46c0b5a1e258c679065ef1a0a)
@@ -46,4 +46,14 @@
 
     <listitem>
+      <para>May 25th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to Mariadb-10.0.11. Fixes
+          <ulink url="&blfs-ticket-root;5063">#5063</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 24th, 2014</para>
       <itemizedlist>
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision c647e6d0b126caa074d4b1ac9737a6113deb66c6)
+++ server/databases/mariadb.xml	(revision 137a99dedc02edb46c0b5a1e258c679065ef1a0a)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY mariadb-download-http "http://tweedo.com/mirror/mariadb/mariadb-&mariadb-version;/kvm-tarbake-jaunty-x86/mariadb-&mariadb-version;.tar.gz">
-  <!ENTITY mariadb-download-ftp  "ftp://mirrors.fe.up.pt/pub/mariadb/mariadb-&mariadb-version;/kvm-tarbake-jaunty-x86/mariadb-&mariadb-version;.tar.gz">
-  <!ENTITY mariadb-md5sum        "14ce22b8197d4eae88d237776d47220f">
-  <!ENTITY mariadb-size          "50 MB">
+  <!ENTITY mariadb-download-http "https://downloads.mariadb.org/interstitial/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz">
+  <!ENTITY mariadb-download-ftp  "ftp://mirrors.fe.up.pt/pub/mariadb/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz">
+  <!ENTITY mariadb-md5sum        "faa2ea3f9c6f7bc5f021d299367a7a8d">
+  <!ENTITY mariadb-size          "49 MB">
   <!ENTITY mariadb-buildsize     "1.2 GB">
-  <!ENTITY mariadb-time          "8.2 SBU (additional 0.4 SBU for the tests)">
+  <!ENTITY mariadb-time          "5.5 SBU (additional 0.4 SBU for the tests)">
 ]>
 
@@ -385,16 +385,17 @@
           myisampack, my_print_defaults, mysql, mysqlaccess,
           mysqladmin, mysqlbinlog, mysqlbug, mysqlcheck, mysql_client_test,
-          mysql_client_test_embedded, mysql_config,
-          mysql_convert_table_format, mysqld, mysqld_multi, mysqld_safe, mysqldump,
-          mysqldumpslow, mysql_embedded, mysql_find_rows, mysql_fix_extensions,
+          mysql_config, mysql_convert_table_format, mysqld, mysqld_multi,
+          mysqld_safe, mysqldump,
+          mysqldumpslow, mysql_find_rows, mysql_fix_extensions,
           mysqlhotcopy, mysqlimport, mysql_install_db, mysql_plugin,
           mysql_secure_installation, mysql_setpermission, mysqlshow, mysqlslap,
-          mysqltest, mysqltest_embedded, mysql_tzinfo_to_sql, mysql_upgrade,
+          mysqltest, mysql_tzinfo_to_sql, mysql_upgrade,
           mysql_waitpid, mysql_zap, mytop, perror, replace, resolveip,
-          resolve_stack_dump, and tokuftdump
+          and resolve_stack_dump
         </seg>
         <seg>
-          libmysqlclient.{so,a}, libmysqlclient_r.{so,a},
-          <!-- libmysqld.{so,a},--> and libmysqlservices.a,
+          libmysqlclient.{so,a},
+          <!-- these are symlinks libmysqlclient_r.{so,a}, -->
+          <!-- libmysqld.{so,a},--> libmysqlservices.a,
           and several under /usr/lib/mysql/plugin/
         </seg>